#
# spec file for package mxml
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           mxml
Url:            http://www.msweet.org/projects.php?Z3
Version:        2.9
Release:        4.18
Summary:        Small XML Parsing Library
License:        LGPL-2.1+
Group:          Development/Libraries/C and C++

Source:         http://www.msweet.org/files/project3/%{name}-%{version}.tar.gz
Source1:        baselibs.conf
Patch:          mxml-2.3-nobinstrip.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  pkgconfig

%description
Mini-XML is a small XML parsing library that you can use to read XML
and XML-like data files in your application without requiring large
nonstandard libraries.

This package holds the commandline tools for mxml.

%define library_name libmxml1

%package -n %library_name
#
Summary:        Shared library for mxml
License:        LGPL-2.1+
Group:          System/Libraries

%description -n %library_name
Mini-XML is a small XML parsing library that you can use to read XML
and XML-like data files in your application without requiring large
nonstandard libraries.

This package holds the shared library for mxml.

%package devel
Requires:       %{library_name} = %{version}
#
Summary:        Development files for mxml
License:        GPL-2.0+
Group:          Development/Libraries/C and C++

%description devel
Mini-XML is a small XML parsing library that you can use to read XML
and XML-like data files in your application without requiring large
nonstandard libraries.

This package holds the development files for mxml.

%prep
%setup
%patch

%build
%configure --enable-shared --with-docdir=%{_docdir}/%{name}
make %{?_smp_mflags}

%install
%makeinstall DSTROOT=%{buildroot}
# we dont want the static lib
%{__rm} -rv %{buildroot}%{_libdir}/libmxml.a

%post   -n %{library_name} -p /sbin/ldconfig

%postun -n %{library_name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/mxmldoc
%{_mandir}/man1/mxmldoc.1*
%doc %{_docdir}/%{name}
%exclude %{_docdir}/%{name}/mxml.html
%exclude %{_docdir}/%{name}/*gif

%files -n %{library_name}
%defattr(-,root,root)
%{_libdir}/libmxml.so.1*

%files devel
%defattr(-,root,root)
%{_includedir}/mxml.h
%{_libdir}/libmxml.so
%{_libdir}/pkgconfig/mxml.pc
%{_mandir}/man3/mxml.3*
%doc %{_docdir}/%{name}/mxml.html
%doc %{_docdir}/%{name}/*gif

%changelog
* Thu Mar  5 2015 p.drouand@gmail.com
- Update to version 2.9
  * mxmlLoad* did not correctly load value nodes with MXML_NO_CALLBACK
    or MXML_TEXT_CALLBACK (Bug #502)
- Update homepage Url
- Use download Url as source
* Fri Sep 12 2014 jengelh@inai.de
- Improve on RPM group classification
* Thu Sep 11 2014 hrvoje.senjan@gmail.com
- Add baselibs.conf
* Sun Jan 29 2012 jengelh@medozas.de
- Remove redundant tags/sections per specfile guideline suggestions
- Parallel building using %%_smp_mflags
* Fri Aug 12 2011 andrea.turrini@gmail.com
- fixed typos in mxml.spec
* Mon Jun  6 2011 mrueckert@suse.de
- update to version 2.6
  - Documentation fixes (STR #91, STR #92)
  - The mxmldoc program did not handle typedef comments properly
    (STR #72)
  - Added support for "long long" printf formats.
  - The XML parser now ignores BOMs in UTF-8 XML files (STR #89)
  - The mxmldoc program now supports generating Xcode documentation
    sets.
  - mxmlSave*() did not output UTF-8 correctly on some platforms.
  - mxmlNewXML() now adds encoding="utf-8" in the ?xml directive to
    avoid problems with non-conformant XML parsers that assume
    something other than UTF-8 as the default encoding.
  - Wrapping was not disabled when mxmlSetWrapMargin(0) was called,
    and "<?xml ... ?>" was always followed by a newline (STR #76)
  - The mxml.pc.in file was broken (STR #79)
  - The mxmldoc program now handles "typedef enum name {} name"
    correctly (STR #72)
- drop requires on main package from the library package
* Thu Sep 11 2008 mrueckert@suse.de
- use shared library package policy
* Mon May 19 2008 mrueckert@suse.de
- update to version 2.5
  The new release fixes some XML parsing problems and adds many
  new mxmldoc features.
- additional changes from 2.4
  fixes some build and XML parsing bugs, adds support for the apos
  character entity, and adds per-thread global settings.
* Thu Jul 12 2007 mrueckert@suse.de
- update to version 2.3
  - adds several new features and fixes all known bugs.
  - adds a SAX API, more convenience functions, a user data pointer
    to the mxml_node_t structure, and improved HTML and new man
    page output from mxmldoc. The new release now also offers
    relaxed LGPL licensing that allows static linking.
- reordered the configure args, so --enable-shared works again.
- updated nostrip patch. old name mxml-2.2.2.diff
  new name mxml-2.3-nobinstrip.patch
- do not include the static library
- move the html docs to the devel package
* Wed Apr 25 2007 mrueckert@suse.de
- removed valgrind and g++ from the buildrequires.
- splitted out a devel package.
- enabled building of the shared library. (#255916)
* Wed May 17 2006 schwab@suse.de
- Don't strip binaries.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 16 2006 mrueckert@suse.de
- update to version 2.2.2
* Tue Feb 15 2005 kssingvo@suse.de
- updated to version 2.1
- rewrote many parts of the spec file to get it more SUSE like
* Wed Aug 25 2004 mana@suse.de
- initial package for mxml-2.0
